Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.impl
Class XMLEntityManager.InternalEntity

    java.lang.Object
      weblogic.apache.xerces.impl.XMLEntityManager.Entity
          weblogic.apache.xerces.impl.XMLEntityManager.InternalEntity

Enclosing class:
  XMLEntityManager

    protected static class XMLEntityManager.InternalEntity

extends XMLEntityManager.Entity

Internal entity.

Field Summary
`String` | `text` Text value of entity.

Fields inherited from class weblogic.apache.xerces.impl.XMLEntityManager.Entity
`name`

Constructor Summary
`XMLEntityManager.InternalEntity()` Default constructor.
`XMLEntityManager.InternalEntity(String name, String text)` Constructs an internal entity.

Method Summary
`void` | `clear()` Clears the entity.
`boolean` | `isExternal()` Returns true if this is an external entity.
`boolean` | `isUnparsed()` Returns true if this is an unparsed entity.
`void` | `setValues(XMLEntityManager.Entity entity)` Sets the values of the entity.
`void` | `setValues(XMLEntityManager.InternalEntity entity)` Sets the values of the entity.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### text

    public String text

  Text value of entity.

Constructor Detail

### XMLEntityManager.InternalEntity

    public XMLEntityManager.InternalEntity()

  Default constructor.

### XMLEntityManager.InternalEntity

    public XMLEntityManager.InternalEntity(String name,
                                           String text)

  Constructs an internal entity.

Method Detail

### isExternal

    public final boolean isExternal()

  Returns true if this is an external entity.

  Specified by:
    `isExternal` in class `XMLEntityManager.Entity`

### isUnparsed

    public final boolean isUnparsed()

  Returns true if this is an unparsed entity.

  Specified by:
    `isUnparsed` in class `XMLEntityManager.Entity`

### clear

    public void clear()

  Clears the entity.

  Overrides:
    `clear` in class `XMLEntityManager.Entity`

### setValues

    public void setValues(XMLEntityManager.Entity entity)

  Sets the values of the entity.

  Overrides:
    `setValues` in class `XMLEntityManager.Entity`

### setValues

    public void setValues(XMLEntityManager.InternalEntity entity)

  Sets the values of the entity.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD